Subject: Re: [RFC/PATCH v3] sh_eth: use RNC mode for packet reception

From: Yoshihiro Shimoda <[email-masked]>
Date: Wed, 4 Jun 2014 09:29:14 +0900

Hi Ben,

(2014/06/03 20:21), Ben Dooks wrote:
> The current behaviour of the sh_eth driver is not to use the RNC bit
> for the receive ring. This means that every packet recieved is not only
> generating an IRQ but it also stops the receive ring DMA as well until
> the driver re-enables it after unloading the packet.
> 
> This means that a number of the following errors are generated due to
> the receive packet FIFO overflowing due to nowhere to put packets:
> 
> 	net eth0: Receive FIFO Overflow
> 
> Since feedback from Yoshihiro Shimoda shows that every supported LSI
> for this driver should have the bit enabled it seems the best way is
> to remove the RMCR default value from the per-system data and just
> write it when initialising the RMCR value. This is discussed in
> the message (http://www.spinics.net/lists/netdev/msg284912.html).
> 
> I have tested the RMCR_RNC configuration with NFS root filesystem and
> the driver has not failed yet.  There are further test reports from
> Sergei Shtylov and others for both the R8A7790 and R8A7791.
> 
> There is also feedback fron Cao Minh Hiep[1] which reports the
> same issue in (http://comments.gmane.org/gmane.linux.network/316285)
> showing this fixes issues with losing UDP datagrams under iperf.
> 
> Tested-by: Sergei Shtylyov <[email-masked]>
> Signed-off-by: Ben Dooks <[email-masked]>

Thank you very much for the patch.

Acked-by: Yoshihiro Shimoda <[email-masked]>

Best regards,
Yoshihiro Shimoda